import { Client } from '..';

export default async function existingLimitsSetup(client: Client): Promise<number> {
  const tier1 = await client.db.Tier.findOne({ id: 1 });
  const tier2 = await client.db.Tier.findOne({ id: 2 });
  const tier3 = await await client.db.Tier.findOne({ id: 3 });

  const accounts = await client.db.Account.find();
  let numOfAccountsUpdated = 0;

  for (const account of accounts) {
    if (account.tier === 1) {
      account.updateOne({ $set: { ramLimitNotification: tier1.resourceLimits.ram - 20 } });
      numOfAccountsUpdated += 1;
    }
    if (account.tier === 2) {
      account.updateOne({ $set: { ramLimitNotification: tier2.resourceLimits.ram - 20 } });
      numOfAccountsUpdated += 1;
    }
    if (account.tier === 3) {
      account.updateOne({ $set: { ramLimitNotification: tier3.resourceLimits.ram - 20 } });
      numOfAccountsUpdated += 1;
    }
  }
  return numOfAccountsUpdated;
}
